Package com.io7m.idstore.protocol.admin

# Interface IdAResponseType

All Superinterfaces:
  `com.io7m.hibiscus.api.HBMessageType`, `com.io7m.hibiscus.api.HBResponseType`, `IdAMessageType`, `IdProtocolMessageType`

All Known Implementing Classes:
  `IdAResponseAdminBanCreate`, `IdAResponseAdminBanDelete`, `IdAResponseAdminBanGet`, `IdAResponseAdminCreate`, `IdAResponseAdminDelete`, `IdAResponseAdminGet`, `IdAResponseAdminSearchBegin`, `IdAResponseAdminSearchByEmailBegin`, `IdAResponseAdminSearchByEmailNext`, `IdAResponseAdminSearchByEmailPrevious`, `IdAResponseAdminSearchNext`, `IdAResponseAdminSearchPrevious`, `IdAResponseAdminSelf`, `IdAResponseAdminUpdate`, `IdAResponseAuditSearchBegin`, `IdAResponseAuditSearchNext`, `IdAResponseAuditSearchPrevious`, `IdAResponseError`, `IdAResponseLogin`, `IdAResponseMailTest`, `IdAResponseMaintenanceModeSet`, `IdAResponseUserBanCreate`, `IdAResponseUserBanDelete`, `IdAResponseUserBanGet`, `IdAResponseUserCreate`, `IdAResponseUserDelete`, `IdAResponseUserGet`, `IdAResponseUserLoginHistory`, `IdAResponseUserSearchBegin`, `IdAResponseUserSearchByEmailBegin`, `IdAResponseUserSearchByEmailNext`, `IdAResponseUserSearchByEmailPrevious`, `IdAResponseUserSearchNext`, `IdAResponseUserSearchPrevious`, `IdAResponseUserUpdate`

public sealed interface IdAResponseType extends IdAMessageType, com.io7m.hibiscus.api.HBResponseType permits IdAResponseAdminBanCreate, IdAResponseAdminBanDelete, IdAResponseAdminBanGet, IdAResponseAdminCreate, IdAResponseAdminDelete, IdAResponseAdminGet, IdAResponseAdminSearchBegin, IdAResponseAdminSearchByEmailBegin, IdAResponseAdminSearchByEmailNext, IdAResponseAdminSearchByEmailPrevious, IdAResponseAdminSearchNext, IdAResponseAdminSearchPrevious, IdAResponseAdminSelf, IdAResponseAdminUpdate, IdAResponseAuditSearchBegin, IdAResponseAuditSearchNext, IdAResponseAuditSearchPrevious, IdAResponseError, IdAResponseLogin, IdAResponseMailTest, IdAResponseMaintenanceModeSet, IdAResponseUserBanCreate, IdAResponseUserBanDelete, IdAResponseUserBanGet, IdAResponseUserCreate, IdAResponseUserDelete, IdAResponseUserGet, IdAResponseUserLoginHistory, IdAResponseUserSearchBegin, IdAResponseUserSearchByEmailBegin, IdAResponseUserSearchByEmailNext, IdAResponseUserSearchByEmailPrevious, IdAResponseUserSearchNext, IdAResponseUserSearchPrevious, IdAResponseUserUpdate
The type of responses in the Admin protocol.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `requestId()`

- ## Method Details

  - ### requestId

    UUID requestId()
    Returns:
      The ID of the request that yielded this response